/*****************************************************************************
*
*       File            CRLRefresher.java
*       Author          Neha Sharma
*       Organization    Fermi National Accelerator Laboratory
*       Description     Refresh CRLs for legacy SAZ protocol
*       Email           neha@fnal.gov
*
*
******************************************************************************/
package gov.fnal.vox.saz.bl.util;

import org.apache.log4j.Logger;
import gov.fnal.vox.saz.bl.util.SAZConfiguration;

public class CRLRefresher implements Runnable{
	private SAZConfiguration confObject=SAZConfiguration.getInstance();
	private static final transient Logger logger=Logger.getLogger(CRLRefresher.class.getName());
	public final long INTERVAL = confObject.getDefaultSAZCRLRefreshInterval();
	public CRLRefresher(){
		new Thread(this).start();
	}
	public void run(){
		while(true){
			try{
				Thread.sleep(INTERVAL);
				if(Thread.currentThread().interrupted()){
					logger.debug("I am INTERRUPTED! Exiting..");
					//Honor the interrupt. Exit
					break;
				}
				logger.debug("I was NOT INTERRUPTED! Going to load certs..");
				confObject.loadTrustedCerts();
			}catch(InterruptedException i){
				logger.error(i.getMessage());
				break;
			}catch(Exception e){
				logger.error(e.getMessage());
			}
		}
	}
}
